


# SmeupGaugeDao class











**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [SmeupDao](../smeup_daos_smeup_dao/SmeupDao-class.md)
- SmeupGaugeDao






## Constructors

[SmeupGaugeDao](../smeup_daos_smeup_gauge_dao/SmeupGaugeDao/SmeupGaugeDao.md) ()

    


## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html)  
_read-only, inherited_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_




## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](https://api.flutter.dev/flutter/dart-core/Object/toString.html)  
_inherited_




## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)  
_inherited_





## Static Methods

##### [getData](../smeup_daos_smeup_gauge_dao/SmeupGaugeDao/getData.md)([SmeupGaugeModel](../smeup_models_widgets_smeup_gauge_model/SmeupGaugeModel-class.md) model) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;void>



   
_override_









